Memory Stores
Update a memory item
Updates the specified memory item in the memory store.
Fejlécparaméterek
Foundry-Features
enum
kötelező
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Elérési útvonal paraméterei
name
string
kötelező
The name of the memory store.
memory_id
string
kötelező
The ID of the memory item to update.
Paraméterek lekérdezése
api-version
string
kötelező
The API version to use for this operation.
Kérelem törzse
content
string
kötelező
The updated content of the memory.
Válaszok
The request has succeeded.
Törzs
user_profile
UserProfileMemoryItem
A memory item specifically containing user profile information extracted from conversations, such as preferences, interests, and personal details.
kind
enum
kötelező
The kind of the memory item.
chat_summary
ChatSummaryMemoryItem
A memory item containing a summary extracted from conversations.
kind
enum
kötelező
The kind of the memory item.
procedural
ProceduralMemoryItem
A memory item containing a procedure extracted from conversations.
kind
enum
kötelező
The kind of the memory item.
Kérés
POST /memory_stores/{name}/items/{memory_id} HTTP/1.1
Válasz
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json